#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 time-compat
version:              1.9.6.1
visibility:           public
id:                   time-compat-1.9.6.1-FvRM1y8l5A4DMlMMb4D3RN
key:                  time-compat-1.9.6.1-FvRM1y8l5A4DMlMMb4D3RN
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Ashley Yakeley
homepage:             https://github.com/haskellari/time-compat
synopsis:             Compatibility package for time
description:
    This packages tries to compat as much of @time@ features as possible.

    /TODO:/

    * Difference type @ParseTime@ and @FormatTime@ instances are missing.

    * Formatting varies depending on underlying @time@ version

    * @dayFractionToTimeOfDay@ on extreme values

category:             Time, Compatibility
abi:                  101c1c4ee0d2dfe357014e5d18ebc646
exposed:              True
exposed-modules:
    Data.Time.Calendar.Compat Data.Time.Calendar.Easter.Compat
    Data.Time.Calendar.Julian.Compat Data.Time.Calendar.Month.Compat
    Data.Time.Calendar.MonthDay.Compat
    Data.Time.Calendar.OrdinalDate.Compat
    Data.Time.Calendar.Quarter.Compat
    Data.Time.Calendar.WeekDate.Compat Data.Time.Clock.Compat
    Data.Time.Clock.POSIX.Compat Data.Time.Clock.System.Compat
    Data.Time.Clock.TAI.Compat Data.Time.Compat Data.Time.Format.Compat
    Data.Time.Format.ISO8601.Compat Data.Time.LocalTime.Compat

hidden-modules:
    Data.Format Data.Time.Calendar.Private Data.Time.Calendar.Types
    Data.Time.Orphans

import-dirs:          /usr/lib/ghc-9.8.2/site-local/time-compat-1.9.6.1
library-dirs:         /usr/lib/ghc-9.8.2/site-local/time-compat-1.9.6.1
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/time-compat-1.9.6.1
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/time-compat-1.9.6.1
hs-libraries:         HStime-compat-1.9.6.1-FvRM1y8l5A4DMlMMb4D3RN
depends:
    base-4.19.1.0-inplace base-orphans-0.9.1-2l55U7IiQEbBQj7Rpk4rdH
    deepseq-1.5.0.0-inplace hashable-1.4.4.0-4FjbwRHK8slL7OrZ7pqlVV
    time-1.12.2-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/time-compat-1.9.6.1/html/time-compat.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/time-compat-1.9.6.1/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

